IntelliJ Idea 14 使用go-lang-idea-plugin 0.9.16-alpha.9

korykim · · 8685 次点击 · · 开始浏览    
这是一个创建于 的文章,其中的信息可能已经有所发展或是发生改变。

使用Idea 14 开发Go程序的话,需要安装go-lang-idea-plugin,但是Idea提供的插件版本是0.9.15版本这个版本有各种BUG尤其是对Idea 14.

我试了很多方法之后还是无法正常使用go-lang-idea-plugin 0.9.15插件甚是头痛!不过天无绝人之路经过百度一顿搜索之后还是发现了一线希望。


我的本地环境如下:

             

1.OS: MAC OS YOSEMITE 10.10.1


2. IntelliJ Idea 14  FOR MAC


3.下载go-lang-idea-plugin 0.9.16-alpha.9

   https://github.com/go-lang-plugin-org/go-lang-idea-plugin/releases/

   这里有各种版本的插件。

   在github上最新版本是go-lang-idea-plugin 1.0.0版本,但没有提供已编译版,如果想尝鲜只能自行下载源码编译!


4. 打开Preferences (Mac快捷键 Command+, )



第三步,选择刚刚下载的插件(google-go-language.jar)安装完毕,重启IDEA就可以正常使用了。


最后截个效果图!




有疑问加站长微信联系(非本文作者)

本文来自:CSDN博客

感谢作者:korykim

查看原文:IntelliJ Idea 14 使用go-lang-idea-plugin 0.9.16-alpha.9

入群交流(和以上内容无关):加入Go大咖交流群,或添加微信:liuxiaoyan-s 备注:入群;或加QQ群:692541889

8685 次点击  
加入收藏 微博
暂无回复
添加一条新回复 (您需要 登录 后才能回复 没有账号 ?)
  • 请尽量让自己的回复能够对别人有帮助
  • 支持 Markdown 格式, **粗体**、~~删除线~~、`单行代码`
  • 支持 @ 本站用户;支持表情(输入 : 提示),见 Emoji cheat sheet
  • 图片支持拖拽、截图粘贴等方式上传